LL2_UNREF_CONTEXT(3)

NAME
ll2_unref_context - Frees lastlog2 context.

SYNOPSIS

#include <lastlog2.h>

*context * ll2_unref_context(ll2_context *context);

DESCRIPTION

Frees lastlog2 context, which has been allocated by ll2_new_context.

    const   char *db_path = "/var/lib/lastlog/lastlog2.db";
    ll2_context *context = ll2_new_context(db_path);

    /* other lastlog2 calls..... */

    ll2_unref_context(context);

AUTHORS

SEE ALSO

lastlog2(3), ll2_new_context(3), ll2_read_all(3), ll2_write_entry(3), ll2_read_entry(3), ll2_remove_entry(3), ll2_update_login_time(3), ll2_import_lastlog(3)

REPORTING BUGS

For bug reports, use the

AVAILABILITY

The liblastlog2 library is part of the util-linux package since version 2.40. It can be downloaded from